Questions related to compiling software, normally using the "make" command.

learn more… | top users | synonyms (2)

0
votes
2answers
562 views

How to compile a c++ program from notepad++? [closed]

I am running notepad++ through wine. But I am not able to compile a program(specially c++). Is there any compiler that I could use? What should I do?
3
votes
1answer
29 views

how to compile ubuntu kernel faster

I'm following this guideline from ubuntu wiki: https://wiki.ubuntu.com/Kernel/BuildYourOwnKernel But when i run fakeroot debian/rules binary-headers binary-generic it takes a long time because it ...
0
votes
0answers
34 views

PHP errors in /usr/sbin/a2query

I am new to Ubuntu, currently on 14.04, I develop on Windows but want to do same on Linux(Ubuntu) I tried to open a PHP file from localhost, I get a blank page. I checked if the PHP module is loaded I ...
0
votes
0answers
22 views

building programme

Everybody, I was building a program and there was a compilation error. Below is the error: make all-am make[1]: Entering directory '/home/gode/Downloads/espeak-android' cd android && ndk-...
1
vote
0answers
41 views

OpenWrt Hostapd compilation issue

I am struggling to compile OpenWrt. I get stuck when trying to compile Hostapd. I am trying to install to build an OS on wireless access points (Brand: Open Mesh). I am using OpenWRT to perform that ...
0
votes
1answer
99 views

./configure: C compiler cc is not found

I am currently trying to compile nginx from source with the RTMP module on Ubuntu Server 16.04 LTS. Everything is ready and in place, but I can't compile. I get the following error: ./configure: ...
2
votes
0answers
68 views

Compiling Very Slow On Ubuntu 16.04

I have an server on which I compile Android ROMs and Recoveries. I had Ubuntu 14.04 on it before. Compiling a recovery took like 4 min. from scratch. But now, as I've upgraded to Ubuntu 16.04, as I ...
3
votes
1answer
60 views

Compiling Cheese from source, fails to compile

I am trying to install cheese from source, and Im not interested in finding a package, because I have source code changes I should like to apply, if I can get it to compile. I have libtool automake, ...
1
vote
1answer
165 views

Ubuntu 16.04, gcc 4.9, CUDA 7.5.18, includes gcc5 headers

I'm running on a Ubuntu 16.04 where I installed gcc4.9 and NVIDA drivers from official repositories, configured alternatives for gcc, and installed the CUDA toolkit 7.5.18. When I try to compile a ...
1
vote
0answers
36 views

Can't figure out Cmake [closed]

I don't have much experience with Cmake and setting environment variables/paramaters, mainly because I've never needed to, things usually compile themselves. I'm trying to install heimdall. And i'm ...
0
votes
0answers
19 views

How to install a LESS auto-compiler manually

I downloaded source files here for an auto LESS compiler. I downloaded and extracted the files to my Desktop. This tutorial says to put the files into my 'working directory'. So I tried just copying ...
3
votes
1answer
48 views

Compiling a 32 application on 64 bit, without getting rid of GNU EABI for ARM

I want to build a C++ program for 32 bit on my 64 bit 16.04. /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/5/libstdc++.so when searching for -lstdc++ /usr/bin/ld: skipping ...
0
votes
0answers
35 views

Increasing available RAM temporarily on Raspberry Pi 2

I recently tried to compile Github's Atom on my Raspberry Pi 2, but after getting past the first error and trying again, it aborted in the middle of the build. Looking in the log showed that it ...
1
vote
0answers
179 views

Error in Caffe Installation in Ubuntu 16.04

While compiling Caffe in Ubuntu 16.04, I got the following error: LD -o .build_release/lib/libcaffe.so.1.0.0-rc3 /usr/bin/ld: cannot find -lhdf5_hl /usr/bin/ld: cannot find -lhdf5 collect2: ...
0
votes
0answers
43 views

Ubuntu14.04 compile openjdk ERROR:FreeType version 2.3.0 or higher is required

I am using Ubuntu14.04 to compile openjdk,when I run "make sanity" met two ERROR . This problem has been consumed for several days,how can I fix them? ERROR: FreeType version 2.3.0 or higher is ...
1
vote
1answer
79 views

How to make a build command in Geany IDE to compile and execute Objective-C programs?

I am a big fan of Geany IDE and Ubuntu. I am learning Objective-C programming language. I have Objective-C Environment in Ubuntu 16.04 and I compile Objective-C programs using terminal. But I want to ...
0
votes
0answers
71 views

Building static ffmpeg libraries on amd64 where libc isn't compiled with -fPIC

First off, I'm not a C/C++ developer so be specific in your solutions and try to be understanding. Secondly, there is a similar question here that does not resolve the issue. Here is my configure line ...
3
votes
2answers
194 views

How to install LLVM 3.7.x on Ubuntu 14.01 (llvm.org/apt down)

I am trying to install LLVM 3.7.x in order to get llvmlite for Python 2.7. However, the apt mirror seems to be down, reading: APT mirror was temporary switched off due to excess load. We are ...
0
votes
0answers
68 views

Cuda installation. Compiling sample cudaDecodeGL error. warning: libnvidia-tls.so.352 needed

I have installed Cuda-6-5 using the .deb in ubuntu 14.04. I was able to compile the samples using make -j. And all the samples were compiled, except for cudaDecodeGL After sudo make, the error is as ...
1
vote
0answers
42 views

How to compile program source from launchpad branch

I am trying to compile and this branch of plank. I have some experience compiling software from git, but not from launchpad/bazaar. I have tried following the instructions in the projects INSTALL ...
1
vote
1answer
265 views

Could NOT find HDF5 (missing: HDF5_HL_LIBRARIES) (found version “1.8.11”)

I am trying to install ParaView CMake Error at /usr/local/share/cmake-3.6/Modules/FindPackageHandleStandardArgs.cmake:148 (message): Could NOT find HDF5 (missing: HDF5_HL_LIBRARIES) (found ...
0
votes
1answer
34 views

build and run gem5-gpu with the x86 CPU ISA

I have problem during build and run of gem5-gpu. Build the following code, scons build/X86_VI_hammer_GPU/gem5.opt --default=X86 EXTRAS=../gem5-gpu/src:../gpgpu-sim/ PROTOCOL=VI_hammer GPGPU_SIM=True ...
0
votes
1answer
159 views

gcc-5: internal compiler error: Bus error (program as)

I'm trying to install Python 2.7.11 on my Ubuntu 14.04 LTS vServer (hosted at strato), because it's a requirement for letsencrypt. I'm using this tutorial, basically just replacing 2.7.9 with 2.7.11. ...
0
votes
0answers
29 views

Bad exit status from /var/tmp/rpm-tmp.oXIrHx (%build)

I get this error when I'm trying to build driver for my printer: $ rpmbuild -tb cnijfilter-source-X.XX-Y.tar.gz --define="MODEL mg7100" --define="MODEL_NUM 423" --with build_common_package error: ...
0
votes
0answers
54 views

Error on compile CyanogenMod

I need help. After running make mrproper I can't build CM source in Ubuntu 14.04. It's throwing this error: build/core/tasks/kernel.mk:149: *********************************************************...
0
votes
0answers
87 views

how to install / compile NVENC in ubuntu?

I see support for nvidia NVENC in this document, but it seems confusing, some step by step? or PPA with ffmpeg-nvenc for ubuntu? http://developer.download.nvidia.com/compute/redist/ffmpeg/1511-patch/...
0
votes
0answers
12 views

Running AES in HElib

I am using Ubuntu 14.04. I am trying to run AES in HElib but I have a Segmentation fault (core dumped) I tried to find the error by strace command and I received the error: write(1, "computing key-...
0
votes
1answer
38 views

Compilation of Linux kernel 3.14 stops without any errors on ubuntu 14.04

I'm trying to compile linux kernel 3.14 on ubuntu 14.04. Before anyone points out, I know newer stable versions of the kernel are available but I have been asked to install 3.14 itself. So, I wrote a ...
0
votes
0answers
65 views

linux/autoconf.h not present

I'm trying to install drivers for Asus pce-N10 wireless adapter onto ubuntu mate 16.04 It is provided with source files of drivers and a readme that basically says: Installation: type 'sudo su ...
1
vote
1answer
20 views

Building packages from source

Every time I have to install something from source, I just blindly follow the instructions. Most of the times it works but sometimes I get stuck with some not-so-easy-to-decipher error messages. I ...
0
votes
1answer
18 views

“bash: ./cents: no such file exist or directory” while trying to run a program that has already been compiled

Can someone explain to me why this happens? It compiles the program fine but it wont let me run it. I'm on ubuntu 16.04 Bonus question: How can I run the math library on Geany? I love the interface ...
0
votes
1answer
160 views

Installing boost into /usr/include

I am trying to install boost into the folder /usr/include. I tried sudo apt-get install libboost-dev, but the highest version apt-get provides is 1.58 instead of the newest 1.61. Then I downloaded ...
0
votes
0answers
21 views

Ubrello installing on Ubuntu 12.04 troubleshoot

I would like to install a latest Umbrello from source on Ubuntu 12.04. I try install it according https://umbrello.kde.org/installation.php . But I have an error. Log is below: -- The following ...
1
vote
0answers
68 views

'make' error - glib.h no such file or directory on Raspberry Pi

I am trying to compile an Example but I am getting following errors/issues. I am not sure where the config file and make file is for this package and I don't want to make changes that wipe out ...
0
votes
1answer
600 views

How to compile Ubuntu 16.04 kernel with zfs module

I build custom Ubuntu kernel with make localmodconfig at the Ubuntu 16.04 lts server with installing zfs and mounted zfs pool. make localmodconfig using config: '.config' zfs config not found!! ...
0
votes
0answers
18 views

/usr/local/gamess/gamess.01.x: error while loading shared libraries: libf77blas.so.3: cannot open shared object file: No such file or directory

Respected sir. I am using Linux 64 bit and I have gfortran compiler.I have compiled the gamess software in /usr/local. After compilation, when i run the command ./runall 00 >& runall.log it ...
0
votes
0answers
36 views

Can't Get Intel MEI Drivers to Compile on Ubuntu Server 12.04

I have an old box running Ubuntu Server 12.04. Everything is running well for the most part, but there are hw init errors from the default MEI driver during boot in syslog: kernel: [ 23.448111] ...
0
votes
2answers
62 views

Can't compile programs on flash drive

I have mounted my flash drive to a new mount point inside my home folder. However, when I still try to compile my .cpp file, it tells me permission denied. How can I fix this? 1) In GParted, my flash ...
1
vote
1answer
56 views

Mounting Flash Drive to Compile C++ Programs

I am very new to Linux, and thus have very noob questions. I currently have Ubuntu 14.04 LTS installed on my hard disk. However, my biggest issue is with flash drives. I have all of my .cpp files on ...
0
votes
1answer
14 views

Permissions inside flash drive

I am trying to compile my C++ programs that I have written on my flash drive. I am in the terminal right now, and currently inside of the correct file (in my flash drive) that I want to compile. ...
0
votes
0answers
20 views

How can I install a subversion of gcc using a .deb file

Actually I have gcc version 4.8.4-2ubuntu1~14.04.3 installed on my PC. Now I need to install gcc version 4.8.2-10ubuntu1 instead. Everytime I try to install the other version, the compilation ...
1
vote
0answers
30 views

“evilmake all” not working…please help

I am trying to insatll idlutilis, When I am doing : $ evilmake all i get error: nrutil.h:45:12: warning: ‘iminarg1’ defined but not used [-Wunused-variable] static int iminarg1,iminarg2; ...
13
votes
1answer
2k views

How do I use C++11 with g++?

I am currently typing all of my code in gedit and using the terminal to compile my programs. To do so, I am typing: $ g++ main.cpp -o main $ ./main And this is working. However, it is not using C++...
1
vote
0answers
50 views

Build error in Ubuntu phone app

I am trying to build and run a simple ubuntu phone app in the ubuntu sdk. I am running Ubuntu 14.04 The app type is QML App with simple UI (qmake). The framework I chose is Ubuntu-sdk-15.04.5. The ...
0
votes
1answer
35 views

What does “cannot find lSDL” mean?

I am trying to install a software called DiSperSE. For that I am supposed to enter make install When I enter this, terminal returns an error Linking CXX executable fieldconv /usr/bin/ld: cannot ...
2
votes
0answers
36 views

I want to compile apps for Ubuntu-Touch. What are some good resources?

I have an Acquarius M10. I want to try to compile x11 apps for use on my tablet. I am especially thinking of things like xournal. What are some good resources for me to start learning about how to do ...
0
votes
0answers
75 views

Error when try compile OTClient on LUbuntu

I tried to compile otclient follow they tutorial here: https://github.com/edubart/otclient/wiki/Compiling-on-Linux But I need to change things which cause some errors that I made: $ sudo apt-get ...
3
votes
1answer
129 views

Biogeme fails to install and run on Ubuntu 16.04

I wanted to ask about the installation of one of most important open source freeware for discrete choice modeling data estimation: Biogeme. I am trying to install it on my machine (Thinkpad x201, ...
0
votes
0answers
32 views

some files are missed while compiling wxWidgets from source

I just followed this link (http://www.binarytides.com/install-wxwidgets-ubuntu/) to install , I have configured with/without --disable-shared option but the Following error comes out when sudo make ...
0
votes
1answer
22 views

Sublime annoying error report

This is my build system: { "cmd": ["gnome-terminal -e 'bash -c \"python -i -u $file;bash\"'"], "shell": true } For some annoying reason I get this error in the space at the bottom of ...